package com.tencent.halley.common.platform.service;

import com.tencent.halley.common.platform.service.PlatformClientCallback;

interface PlatformServiceAidl{

	//注册client信息
	void registClient(String processName, PlatformClientCallback clientcallback);

	//state
	void registUser(String uuid);
	
	void setPushOn(boolean pushOn);
	
	void addTag(String tag);
	
	void removeTag(String tag);
	
	void setAppBackground(boolean isbackground);

	void keepPlatformAlive();
	
	//scheduler
	void syncScheduleRsp();
	
	//settings
	void syncSettings();

	void onHttpUsed(int type);
}